%define name seqpp
%define version 4.1.7
%define release 1

%define libname %mklibname %{name} 


Summary: A C++ library for performing biological sequence analysis
Name: %{name}
Version: %{version}
Release: %mkrel %{release}
Source0: http://stat.genopole.cnrs.fr/%{name}/download/%{name}-%{version}.tar.bz2
Patch0:	seqpp-extra-qualifier.patch
License: GPL
Group: Sciences/Biology
Url: http://stat.genopole.cnrs.fr/%{name}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gsl-devel doxygen tetex-latex gcc-c++ gcc-gfortran

%description
Seqpp is a C++ library providing a set of classes allowing 
Hidden Markov Model bases biological sequence analysis.


%package progs
Summary: Programs of the Seq++ Library
Group: Sciences/Biology
Requires: %{libname} = %{version}

%description progs
Contains the programs associated with the Seq++ library:
  - estim_m: performs Markov model estimation and/or statistics
computations on sequences.  
  - estim_pm: performs parcimonious markov estimations 
    on sequences.
  - simul_m: performs sequence generation using Markov models.



%package -n %{libname}
Summary: Shared libraries for the Seq++ Library
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Seqpp is a C++ library providing a set of classes allowing 
Hidden Markov Model based biological sequence analysis.


%package -n %{libname}-devel
Summary: Development libraries and headers for the Seq++ Library
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Seqpp is a C++ library providing a set of classes allowing 
Hidden Markov Model based biological sequence analysis.


%prep

%setup -q
%patch0

%build

%configure --enable-xml

%make
# %make docs

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unwanted files
rm -f $RPM_BUILD_ROOT/%{_bindir}/dist_m
rm -f $RPM_BUILD_ROOT/%{_bindir}/estim_vlm
rm -f $RPM_BUILD_ROOT/%{_libdir}/libseqpp.so


%post -n %{libname} -p /sbin/ldconfig
%postun  -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files progs
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/%{name}/alphabet/dna.alpha
%{_datadir}/%{name}/alphabet/protein.alpha
%doc AUTHORS COPYING README NEWS

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc AUTHORS COPYING README NEWS

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/seqpp/*.h
%{_libdir}/libseqpp.a
%{_libdir}/libseqpp.la
%doc AUTHORS COPYING README NEWS
# doc/latex/refman.ps doc/latex/refman.pdf doc/html

%changelog
* Thu Aug 31 2006 Gatan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-08-31 12:58:53 (58991)
4.1.7

* Thu Aug 10 2006 Gatan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-08-10 18:06:02 (55464)
rebuild

* Sun Jul 30 2006 Gatan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-07-30 10:24:49 (42694)
Import seqpp

* Thu Aug 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.1.5-1mdk
- New release 4.1.5

* Tue Jul 12 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.1.-1mdk
- New release 4.1.
- buildrequires gfortran

* Tue Apr 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.0.2-1mdk
- New release 4.0.2

* Mon Mar 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.0.0-1mdk
- New release 4.0.0
- use mkrel

* Fri Feb 11 2005 Hoebeke Mark <Mark.Hoebeke@jouy.inra.fr> 3.1.4-1mdk
- First attempt to build packages for libseq++.

